Subject: Re: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: martin rudalics <[email-masked]>
Date: Tue, 07 Jun 2016 11:10:30 +0200

> Can you suggest a defcustom for that (what type? which values mean
 > what? etc)?  Then we can talk how hard it is to implement that.

(defcustom face-extend-to-window-edge nil
   "Non-nil means extend face of last character on line to window edge.
This variable specifies whether the space following the last
character on a line is decorated using properties of that
character.  nil means do not extend any properties of that
character.  t means extend all properties of that character.

A property list means to determine the value of any such property
from that list. If a property is not on that list, that property
is not extended.  The special value 'inherit' means to inherit
the value for that property from the last character on the line.
A function specifies the function to return the value of that
property.  Any other value means to extend that as value for that
property.")

martin